Subject: Re: [tram] Fwd: New Version Notification for draft-johnston-tram-turnbis-01.txt

From: "Tirumaleswar Reddy (tireddy)" <[email-masked]>
Date: Tue, 19 Aug 2014 05:36:50 +0000

> -----Original Message-----
> From: Brandon Williams [mailto:[email-masked]]
> Sent: Friday, August 15, 2014 10:27 PM
> To: Alan Johnston; [email-masked]; Tirumaleswar Reddy (tireddy)
> Subject: Re: [tram] Fwd: New Version Notification for draft-johnston-tram-
> turnbis-01.txt
> 
> Thanks to both of you for taking on this task.
> 
> Regarding questions that you ask in editor's notes:
> 
> * I think it would nice to have a unified document for IPv4, IPv6, UDP, and
> TCP, and so merging RFC6062 and RFC6156 text into TURNbis would be good.
> In particular, the IPv6 is probably necessary to include if SSODA is to be
> included. 

Agree with all the above points except merging RFC 6062 into TURNbis. 
TURNbis referring to RFC 6062 should suffice.

> That said, I don't feel strongly enough about it to put up any
> resistance if anyone else disagrees.
> 
> * I don't think a specific algorithm from RFC6056 needs to be recommended.

Okay.

-Tiru

> The RFC itself provides a good discussion of the tradeoffs, but itself falls short
> of providing any recommendations. It might be worthwhile to note that
> some of the RFC6056 discussion re: NAPT applies to TURN allocations as well.

> 
> --Brandon
> 
> On 08/10/2014 06:55 PM, Alan Johnston wrote:
> > All,
> >
> > Tiru and I have made a start to the TURNbis draft.  We have submitted
> > it as an individual draft so the working group can decide if this is a
> > reasonable starting point for our chartered work item.
> >
> > The -00 version is essentially unchanged from RFC 5766 to make it easy
> > to track the changes.  The -01 version represents our edits so far
> > including a number of Editor's Notes.
> >
> > Feedback and comments are most welcome.
> >
> > - Alan -
> >
> > ---------- Forwarded message ----------
> > From: ** <[email-masked] <mailto:[email-masked]>>
> > Date: Sun, Aug 10, 2014 at 5:50 PM
> > Subject: New Version Notification for
> > draft-johnston-tram-turnbis-01.txt
> > To: Tirumaleswar Reddy <[email-masked]
> <mailto:[email-masked]>>,
> > Alan Johnston <[email-masked]
> > <mailto:[email-masked]>>, Rohan Mahy <[email-masked]
> > <mailto:[email-masked]>>, Jonathan Rosenberg <[email-masked]
> > <mailto:[email-masked]>>, Philip Matthews
> > <[email-masked] <mailto:[email-masked]>>
> >
> >
> >
> > A new version of I-D, draft-johnston-tram-turnbis-01.txt
> > has been successfully submitted by Alan Johnston and posted to the
> > IETF repository.
> >
> > Name:           draft-johnston-tram-turnbis
> > Revision:       01
> > Title:          Traversal Using Relays around NAT (TURN): Relay
> > Extensions to Session Traversal Utilities for NAT (STUN) Document
> > date:  2014-08-10
> > Group:          Individual Submission
> > Pages:          69
> > URL:
> > http://www.ietf.org/internet-drafts/draft-johnston-tram-turnbis-01.txt
> > Status: https://datatracker.ietf.org/doc/draft-johnston-tram-turnbis/
> > Htmlized: http://tools.ietf.org/html/draft-johnston-tram-turnbis-01
> > Diff: http://www.ietf.org/rfcdiff?url2=draft-johnston-tram-turnbis-01
> >
> > Abstract:
> >     If a host is located behind a NAT, then in certain situations it can
> >     be impossible for that host to communicate directly with other hosts
> >     (peers).  In these situations, it is necessary for the host to use
> >     the services of an intermediate node that acts as a communication
> >     relay.  This specification defines a protocol, called TURN (Traversal
> >     Using Relays around NAT), that allows the host to control the
> >     operation of the relay and to exchange packets with its peers using
> >     the relay.  TURN differs from some other relay control protocols in
> >     that it allows a client to communicate with multiple peers using a
> >     single relay address.
> >
> >     The TURN protocol was designed to be used as part of the ICE
> >     (Interactive Connectivity Establishment) approach to NAT traversal,
> >     though it also can be used without ICE.
> >
> >
> >
> >
> > Please note that it may take a couple of minutes from the time of
> > submission until the htmlized version and diff are available at
> > tools.ietf.org <http://tools.ietf.org>.
> >
> > The IETF Secretariat
> >
> >
> 
> --
> Brandon Williams; Senior Principal Software Engineer Emerging Products
> Engineering; Akamai Technologies Inc.